Error: Microsoft Visual C++ 14.0 is required. Get it with "Build Tools for Visual Studio": https://visualstudio.microsoft.com/downloads/ ---------------------------------------- ERROR: Failed building wheel for httptools

I have followed Installation steps and installed MS C++ build tools and after installing C++ build tools I am trying to install rasa using a pip install rasa command. But while installing RASA in between I am getting following error. Could you please help me out in installing rasa. Any early help would be highly appreciated and thanks in advance.

ERROR: Command errored out with exit status 1: command: ‘c:\users\kethavath.srinivas\rasa0.14\scripts\python.exe’ -u -c ‘import sys, setuptools, tokenize; sys.argv[0] = ‘"’"‘C:\Users\KETHAV~1.SRI\AppData\Local\Temp\pip-install-nkfbmn2i\httptools\setup.py’"’"’; file=’"’"‘C:\Users\KETHAV~1.SRI\AppData\Local\Temp\pip-install-nkfbmn2i\httptools\setup.py’"’"’;f=getattr(tokenize, ‘"’"‘open’"’"’, open)(file);code=f.read().replace(’"’"’\r\n’"’"’, ‘"’"’\n’"’"’);f.close();exec(compile(code, file, ‘"’"‘exec’"’"’))’ bdist_wheel -d ‘C:\Users\KETHAV~1.SRI\AppData\Local\Temp\pip-wheel-d_dlzkef’ cwd: C:\Users\KETHAV~1.SRI\AppData\Local\Temp\pip-install-nkfbmn2i\httptools
Complete output (21 lines): running bdist_wheel running build running build_py creating build creating build\lib.win-amd64-3.7 creating build\lib.win-amd64-3.7\httptools copying httptools_init_.py -> build\lib.win-amd64-3.7\httptools creating build\lib.win-amd64-3.7\httptools\parser copying httptools\parser\errors.py -> build\lib.win-amd64-3.7\httptools\parser copying httptools\parser_init_.py -> build\lib.win-amd64-3.7\httptools\parser running egg_info writing httptools.egg-info\PKG-INFO writing dependency_links to httptools.egg-info\dependency_links.txt writing top-level names to httptools.egg-info\top_level.txt reading manifest file ‘httptools.egg-info\SOURCES.txt’ reading manifest template ‘MANIFEST.in’ writing manifest file ‘httptools.egg-info\SOURCES.txt’ copying httptools\parser\parser.c -> build\lib.win-amd64-3.7\httptools\parser running build_ext building ‘httptools.parser.parser’ extension error: Microsoft Visual C++ 14.0 is required. Get it with “Build Tools for Visual Studio”: Download Visual Studio 2019 for Windows & Mac

ERROR: Failed building wheel for httptools

Hey @seenucbit, check out this video, it may help you :slight_smile:

https://youtu.be/IAb8Ei7dQjc

Thanks for quicker response @JiteshGaikwad but still getting the same issue.

Issue has been resolved. While installing C++ build tools select all the check boxes ( C++ packages) and install.